Package uk.ac.starlink.topcat.interop

## Interface Activity

- All Known Subinterfaces:
    `ImageActivity`, `RowActivity`, `SkyPointActivity`, `SpectrumActivity`, `SubsetActivity`
  All Known Implementing Classes:
    `SampImageActivity`

      public interface Activity

  Superinterface for objects which can direct interoperability communications to one or more target applications based on the selection in a combo box model.
  Since:
    17 Sep 2008
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.swing.ComboBoxModel<?>` | `getTargetSelector()` | Returns a ComboBoxModel which allows selection of target applications.

- - ### Method Detail

    - #### getTargetSelector

          javax.swing.ComboBoxModel<?> getTargetSelector()

      Returns a ComboBoxModel which allows selection of target applications.
      Returns:
        target application selection model